Get status of recipients for envelope
Retrieves the status of all recipients in a single envelope and identifies the current recipient in the routing list. This method can also be used to retrieve the tab values.
The currentRoutingOrder property of the response contains the routingOrder value of the current recipient indicating that the envelope has been sent to the recipient, but the recipient has not completed their actions.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
The external account number (int) or account id GUID.
The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec
Query parameters
When set to true and include_tabs value is set to true, all tabs with anchor tab properties are included in the response.
When set to true, the extended properties are included in the response.
When set to true, the tab information associated with the recipient is included in the response.
Response
Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).
The list of recipient event statuses that will trigger Connect to send updates to the url. It can be a two-part list with:
- recipientEventStatusCode - The recipient status, this can be Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded.
- includeDocuments - When set to true, the envelope time zone information is included in the message.